Bug 972679 (CVE-2013-4074)

Summary: CVE-2013-4074 wireshark: DoS (crash) in the CAPWAP dissector (wnpa-sec-2013-32)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: huzaifas, jrusnack, phatina, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130607,reported=20130609,source=cve,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/wireshark=notaffected,rhel-6/wireshark=notaffected,fedora-17/wireshark=affected,fedora-18/wireshark=affected
Fixed In Version: wireshark-1.6.16, wireshark-1.8.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-11 00:31:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 972760, 972762, 979246    
Bug Blocks: 972772    

Description Jan Lieskovsky 2013-06-10 08:02:22 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4074 to the following vulnerability:

The dissect_capwap_data function in epan/dissectors/packet-capwap.c in the CAPWAP dissector in Wireshark 1.6.x before 1.6.16 and 1.8.x before 1.8.8 incorrectly uses a -1 data value to represent an error condition, which allows remote attackers to cause a denial of service (application crash) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-capwap.c?r1=43716&r2=43715&pathrev=43716
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=43716
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.6.16.html
[4] http://www.wireshark.org/docs/relnotes/wireshark-1.8.8.html
[5] http://www.wireshark.org/security/wnpa-sec-2013-32.html
[6] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8725
Comment 1 Jan Lieskovsky 2013-06-10 09:23:35 EDT
This issue affects the versions of the wireshark package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-06-10 10:26:41 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-17 [bug 972760]
Comment 3 Jan Lieskovsky 2013-06-10 10:31:53 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 972762]
Comment 4 Huzaifa S. Sidhpurwala 2013-06-11 00:31:12 EDT
The version of wireshark shipped with Red Hat Enterprise Linux 5 and 6 does not have support for Control And Provisioning of Wireless Access Points (CAPWAP) Protocol. Therefore this flaw does not affect these versions.
Comment 5 Huzaifa S. Sidhpurwala 2013-06-11 00:31:58 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 6 Vincent Danen 2013-06-14 14:26:40 EDT
External References:

http://www.wireshark.org/security/wnpa-sec-2013-32.html
Comment 7 Fedora Update System 2013-09-27 20:12:38 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-02 21:03:38 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-19 02:10:07 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.